#!/bin/bash
#
# Create the logstash-forwarder `.deb package

# Set up the necessary packages
sudo apt-get -y install ruby ruby-dev make git
sudo gem install fpm
sudo gem install pleaserun

# Fetch the Go installer (gets latest release - trusty one is too old)
wget https://godeb.s3.amazonaws.com/godeb-amd64.tar.gz
tar -xzf godeb-amd64.tar.gz
./godeb install

# Fetch and build logstash-forwarder
git clone https://github.com/elasticsearch/logstash-forwarder.git
cd logstash-forwarder

# We want /srv not /opt so let's fix that
for f in $(fgrep -lr /opt/logstash-forwarder); do 
  sed -ie 's#/opt/logstash-forwarder#/srv/logstash-forwarder#g' ${f}
done
go build

make deb
